Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.svcorch
Interface SvcorchPackage.Literals

Enclosing interface:
  SvcorchPackage

    public static interface SvcorchPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `CHECK_CONDITION` The meta object literal for the '`Check Condition`' class
`static org.eclipse.emf.ecore.EReference` | `CHECK_CONDITION__ELSE_NODE` The meta object literal for the 'Else Node' reference feature
`static org.eclipse.emf.ecore.EReference` | `CHECK_CONDITION__INPUT` The meta object literal for the 'Input' reference list feature
`static org.eclipse.emf.ecore.EReference` | `CHECK_CONDITION__THEN_NODE` The meta object literal for the 'Then Node' reference feature
`static org.eclipse.emf.ecore.EClass` | `CUSTOM_TRANSFORMATION` The meta object literal for the '`Custom Transformation`' class
`static org.eclipse.emf.ecore.EClass` | `DATA_SLOT` The meta object literal for the '`Data Slot`' class
`static org.eclipse.emf.ecore.EAttribute` | `DATA_SLOT__NAME` The meta object literal for the 'Name' attribute feature
`static org.eclipse.emf.ecore.EReference` | `DATA_SLOT__TYPE` The meta object literal for the 'Type' reference feature
`static org.eclipse.emf.ecore.EClass` | `DATA_SLOTS` The meta object literal for the '`Data Slots`' class
`static org.eclipse.emf.ecore.EReference` | `DATA_SLOTS__SLOTS` The meta object literal for the 'Slots' containment reference list feature
`static org.eclipse.emf.ecore.EClass` | `DECLARATIVE_TRANSFORMATION` The meta object literal for the '`Declarative Transformation`' class
`static org.eclipse.emf.ecore.EClass` | `END_LOOP` The meta object literal for the '`End Loop`' class
`static org.eclipse.emf.ecore.EReference` | `END_LOOP__LOOP_HEAD_NODE` The meta object literal for the 'Loop Head Node' reference feature
`static org.eclipse.emf.ecore.EClass` | `EXCEPTION_HANDLER` The meta object literal for the '`Exception Handler`' class
`static org.eclipse.emf.ecore.EReference` | `EXCEPTION_HANDLER__FIRST_RECOVERY_NODE` The meta object literal for the 'First Recovery Node' reference feature
`static org.eclipse.emf.ecore.EReference` | `EXCEPTION_HANDLER__HANDLED_EXCEPTION` The meta object literal for the 'Handled Exception' reference list feature
`static org.eclipse.emf.ecore.EClass` | `EXCEPTION_MAPPING` The meta object literal for the '`Exception Mapping`' class
`static org.eclipse.emf.ecore.EReference` | `EXCEPTION_MAPPING__FROM` The meta object literal for the 'From' reference feature
`static org.eclipse.emf.ecore.EAttribute` | `EXCEPTION_MAPPING__MSG` The meta object literal for the 'Msg' attribute feature
`static org.eclipse.emf.ecore.EReference` | `EXCEPTION_MAPPING__TO` The meta object literal for the 'To' reference feature
`static org.eclipse.emf.ecore.EClass` | `EXCEPTION_MAPPINGS` The meta object literal for the '`Exception Mappings`' class
`static org.eclipse.emf.ecore.EReference` | `EXCEPTION_MAPPINGS__MAPPING` The meta object literal for the 'Mapping' containment reference list feature
`static org.eclipse.emf.ecore.EClass` | `FLOW_NODE` The meta object literal for the '`Flow Node`' class
`static org.eclipse.emf.ecore.EClass` | `FOR_EACH` The meta object literal for the '`For Each`' class
`static org.eclipse.emf.ecore.EReference` | `FOR_EACH__AFTER_LOOP_NODE` The meta object literal for the 'After Loop Node' reference feature
`static org.eclipse.emf.ecore.EReference` | `FOR_EACH__COLLECTION` The meta object literal for the 'Collection' reference feature
`static org.eclipse.emf.ecore.EReference` | `FOR_EACH__FIRST_LOOP_NODE` The meta object literal for the 'First Loop Node' reference feature
`static org.eclipse.emf.ecore.EReference` | `FOR_EACH__ITEM` The meta object literal for the 'Item' reference feature
`static org.eclipse.emf.ecore.EClass` | `INPUT_PARAM_BINDINGS` The meta object literal for the '`Input Param Bindings`' class
`static org.eclipse.emf.ecore.EReference` | `INPUT_PARAM_BINDINGS__INPUT_PARAMS` The meta object literal for the 'Input Params' containment reference list feature
`static org.eclipse.emf.ecore.EClass` | `NODE` The meta object literal for the '`Node`' class
`static org.eclipse.emf.ecore.EAttribute` | `NODE__DESCRIPTION` The meta object literal for the 'Description' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `NODE__NAME` The meta object literal for the 'Name' attribute feature
`static org.eclipse.emf.ecore.EClass` | `NODES` The meta object literal for the '`Nodes`' class
`static org.eclipse.emf.ecore.EReference` | `NODES__NODES` The meta object literal for the 'Nodes' containment reference list feature
`static org.eclipse.emf.ecore.EClass` | `OP_NODE` The meta object literal for the '`Op Node`' class
`static org.eclipse.emf.ecore.EReference` | `OP_NODE__NEXT` The meta object literal for the 'Next' reference feature
`static org.eclipse.emf.ecore.EClass` | `ORCHESTRATION` The meta object literal for the '`Orchestration`' class
`static org.eclipse.emf.ecore.EReference` | `ORCHESTRATION__EXCEPTION_MAPPINGS` The meta object literal for the 'Exception Mappings' containment reference feature
`static org.eclipse.emf.ecore.EReference` | `ORCHESTRATION__GLOBAL_SLOTS` The meta object literal for the 'Global Slots' containment reference feature
`static org.eclipse.emf.ecore.EReference` | `ORCHESTRATION__INPUT_PARAM_BINDINGS` The meta object literal for the 'Input Param Bindings' containment reference feature
`static org.eclipse.emf.ecore.EReference` | `ORCHESTRATION__NODES` The meta object literal for the 'Nodes' containment reference feature
`static org.eclipse.emf.ecore.EReference` | `ORCHESTRATION__OPERATION` The meta object literal for the 'Operation' reference feature
`static org.eclipse.emf.ecore.EReference` | `ORCHESTRATION__PRINCIPAL_NAME_SLOT` The meta object literal for the 'Principal Name Slot' reference feature
`static org.eclipse.emf.ecore.EReference` | `ORCHESTRATION__RETURN_SLOT` The meta object literal for the 'Return Slot' reference feature
`static org.eclipse.emf.ecore.EReference` | `ORCHESTRATION__SERVICE` The meta object literal for the 'Service' reference feature
`static org.eclipse.emf.ecore.EClass` | `PAPD_CALL` The meta object literal for the '`PAPD Call`' class
`static org.eclipse.emf.ecore.EClass` | `PARAM_BINDING` The meta object literal for the '`Param Binding`' class
`static org.eclipse.emf.ecore.EReference` | `PARAM_BINDING__PARAM` The meta object literal for the 'Param' reference feature
`static org.eclipse.emf.ecore.EReference` | `PARAM_BINDING__SLOT` The meta object literal for the 'Slot' reference feature
`static org.eclipse.emf.ecore.EClass` | `SRV_CALL` The meta object literal for the '`Srv Call`' class
`static org.eclipse.emf.ecore.EReference` | `SRV_CALL__ON_EXCEPTION` The meta object literal for the 'On Exception' containment reference list feature
`static org.eclipse.emf.ecore.EReference` | `SRV_CALL__OPERATION` The meta object literal for the 'Operation' reference feature
`static org.eclipse.emf.ecore.EReference` | `SRV_CALL__OUTPUT_SLOT` The meta object literal for the 'Output Slot' reference feature
`static org.eclipse.emf.ecore.EReference` | `SRV_CALL__PARAM_BINDINGS` The meta object literal for the 'Param Bindings' containment reference list feature
`static org.eclipse.emf.ecore.EReference` | `SRV_CALL__SERVICE_CONNECTOR` The meta object literal for the 'Service Connector' reference feature
`static org.eclipse.emf.ecore.EClass` | `START_NODE` The meta object literal for the '`Start Node`' class
`static org.eclipse.emf.ecore.EReference` | `START_NODE__NEXT` The meta object literal for the 'Next' reference feature
`static org.eclipse.emf.ecore.EClass` | `STOP_NODE` The meta object literal for the '`Stop Node`' class
`static org.eclipse.emf.ecore.EClass` | `TRANSFORMATION` The meta object literal for the '`Transformation`' class
`static org.eclipse.emf.ecore.EAttribute` | `TRANSFORMATION__INIT_OUT_SLOT` The meta object literal for the 'Init Out Slot' attribute feature
`static org.eclipse.emf.ecore.EReference` | `TRANSFORMATION__INPUT` The meta object literal for the 'Input' reference list feature
`static org.eclipse.emf.ecore.EReference` | `TRANSFORMATION__OUTPUT` The meta object literal for the 'Output' reference feature
`static org.eclipse.emf.ecore.EClass` | `USER_DEFINED_OP_NODE` The meta object literal for the '`User Defined Op Node`' class
`static org.eclipse.emf.ecore.EClass` | `WS_CALL` The meta object literal for the '`WS Call`' class

Field Detail

### ORCHESTRATION

    static final org.eclipse.emf.ecore.EClass ORCHESTRATION

  The meta object literal for the '`Orchestration`' class.

  See Also:
    `OrchestrationImpl`, `SvcorchPackageImpl.getOrchestration()`

### ORCHESTRATION__NODES

    static final org.eclipse.emf.ecore.EReference ORCHESTRATION__NODES

  The meta object literal for the 'Nodes' containment reference feature.

### ORCHESTRATION__GLOBAL_SLOTS

    static final org.eclipse.emf.ecore.EReference ORCHESTRATION__GLOBAL_SLOTS

  The meta object literal for the 'Global Slots' containment reference feature.

### ORCHESTRATION__SERVICE

    static final org.eclipse.emf.ecore.EReference ORCHESTRATION__SERVICE

  The meta object literal for the 'Service' reference feature.

### ORCHESTRATION__OPERATION

    static final org.eclipse.emf.ecore.EReference ORCHESTRATION__OPERATION

  The meta object literal for the 'Operation' reference feature.

### ORCHESTRATION__INPUT_PARAM_BINDINGS

    static final org.eclipse.emf.ecore.EReference ORCHESTRATION__INPUT_PARAM_BINDINGS

  The meta object literal for the 'Input Param Bindings' containment reference feature.

### ORCHESTRATION__RETURN_SLOT

    static final org.eclipse.emf.ecore.EReference ORCHESTRATION__RETURN_SLOT

  The meta object literal for the 'Return Slot' reference feature.

### ORCHESTRATION__EXCEPTION_MAPPINGS

    static final org.eclipse.emf.ecore.EReference ORCHESTRATION__EXCEPTION_MAPPINGS

  The meta object literal for the 'Exception Mappings' containment reference feature.

### ORCHESTRATION__PRINCIPAL_NAME_SLOT

    static final org.eclipse.emf.ecore.EReference ORCHESTRATION__PRINCIPAL_NAME_SLOT

  The meta object literal for the 'Principal Name Slot' reference feature.

### NODE

    static final org.eclipse.emf.ecore.EClass NODE

  The meta object literal for the '`Node`' class.

  See Also:
    `NodeImpl`, `SvcorchPackageImpl.getNode()`

### NODE__NAME

    static final org.eclipse.emf.ecore.EAttribute NODE__NAME

  The meta object literal for the 'Name' attribute feature.

### NODE__DESCRIPTION

    static final org.eclipse.emf.ecore.EAttribute NODE__DESCRIPTION

  The meta object literal for the 'Description' attribute feature.

### OP_NODE

    static final org.eclipse.emf.ecore.EClass OP_NODE

  The meta object literal for the '`Op Node`' class.

  See Also:
    `OpNodeImpl`, `SvcorchPackageImpl.getOpNode()`

### OP_NODE__NEXT

    static final org.eclipse.emf.ecore.EReference OP_NODE__NEXT

  The meta object literal for the 'Next' reference feature.

### FLOW_NODE

    static final org.eclipse.emf.ecore.EClass FLOW_NODE

  The meta object literal for the '`Flow Node`' class.

  See Also:
    `FlowNodeImpl`, `SvcorchPackageImpl.getFlowNode()`

### START_NODE

    static final org.eclipse.emf.ecore.EClass START_NODE

  The meta object literal for the '`Start Node`' class.

  See Also:
    `StartNodeImpl`, `SvcorchPackageImpl.getStartNode()`

### START_NODE__NEXT

    static final org.eclipse.emf.ecore.EReference START_NODE__NEXT

  The meta object literal for the 'Next' reference feature.

### STOP_NODE

    static final org.eclipse.emf.ecore.EClass STOP_NODE

  The meta object literal for the '`Stop Node`' class.

  See Also:
    `StopNodeImpl`, `SvcorchPackageImpl.getStopNode()`

### SRV_CALL

    static final org.eclipse.emf.ecore.EClass SRV_CALL

  The meta object literal for the '`Srv Call`' class.

  See Also:
    `SrvCallImpl`, `SvcorchPackageImpl.getSrvCall()`

### SRV_CALL__OPERATION

    static final org.eclipse.emf.ecore.EReference SRV_CALL__OPERATION

  The meta object literal for the 'Operation' reference feature.

### SRV_CALL__SERVICE_CONNECTOR

    static final org.eclipse.emf.ecore.EReference SRV_CALL__SERVICE_CONNECTOR

  The meta object literal for the 'Service Connector' reference feature.

### SRV_CALL__PARAM_BINDINGS

    static final org.eclipse.emf.ecore.EReference SRV_CALL__PARAM_BINDINGS

  The meta object literal for the 'Param Bindings' containment reference list feature.

### SRV_CALL__OUTPUT_SLOT

    static final org.eclipse.emf.ecore.EReference SRV_CALL__OUTPUT_SLOT

  The meta object literal for the 'Output Slot' reference feature.

### SRV_CALL__ON_EXCEPTION

    static final org.eclipse.emf.ecore.EReference SRV_CALL__ON_EXCEPTION

  The meta object literal for the 'On Exception' containment reference list feature.

### PAPD_CALL

    static final org.eclipse.emf.ecore.EClass PAPD_CALL

  The meta object literal for the '`PAPD Call`' class.

  See Also:
    `PAPDCallImpl`, `SvcorchPackageImpl.getPAPDCall()`

### WS_CALL

    static final org.eclipse.emf.ecore.EClass WS_CALL

  The meta object literal for the '`WS Call`' class.

  See Also:
    `WSCallImpl`, `SvcorchPackageImpl.getWSCall()`

### TRANSFORMATION

    static final org.eclipse.emf.ecore.EClass TRANSFORMATION

  The meta object literal for the '`Transformation`' class.

  See Also:
    `TransformationImpl`, `SvcorchPackageImpl.getTransformation()`

### TRANSFORMATION__INPUT

    static final org.eclipse.emf.ecore.EReference TRANSFORMATION__INPUT

  The meta object literal for the 'Input' reference list feature.

### TRANSFORMATION__OUTPUT

    static final org.eclipse.emf.ecore.EReference TRANSFORMATION__OUTPUT

  The meta object literal for the 'Output' reference feature.

### TRANSFORMATION__INIT_OUT_SLOT

    static final org.eclipse.emf.ecore.EAttribute TRANSFORMATION__INIT_OUT_SLOT

  The meta object literal for the 'Init Out Slot' attribute feature.

### CUSTOM_TRANSFORMATION

    static final org.eclipse.emf.ecore.EClass CUSTOM_TRANSFORMATION

  The meta object literal for the '`Custom Transformation`' class.

  See Also:
    `CustomTransformationImpl`, `SvcorchPackageImpl.getCustomTransformation()`

### DECLARATIVE_TRANSFORMATION

    static final org.eclipse.emf.ecore.EClass DECLARATIVE_TRANSFORMATION

  The meta object literal for the '`Declarative Transformation`' class.

  See Also:
    `DeclarativeTransformationImpl`, `SvcorchPackageImpl.getDeclarativeTransformation()`

### CHECK_CONDITION

    static final org.eclipse.emf.ecore.EClass CHECK_CONDITION

  The meta object literal for the '`Check Condition`' class.

  See Also:
    `CheckConditionImpl`, `SvcorchPackageImpl.getCheckCondition()`

### CHECK_CONDITION__THEN_NODE

    static final org.eclipse.emf.ecore.EReference CHECK_CONDITION__THEN_NODE

  The meta object literal for the 'Then Node' reference feature.

### CHECK_CONDITION__ELSE_NODE

    static final org.eclipse.emf.ecore.EReference CHECK_CONDITION__ELSE_NODE

  The meta object literal for the 'Else Node' reference feature.

### CHECK_CONDITION__INPUT

    static final org.eclipse.emf.ecore.EReference CHECK_CONDITION__INPUT

  The meta object literal for the 'Input' reference list feature.

### FOR_EACH

    static final org.eclipse.emf.ecore.EClass FOR_EACH

  The meta object literal for the '`For Each`' class.

  See Also:
    `ForEachImpl`, `SvcorchPackageImpl.getForEach()`

### FOR_EACH__COLLECTION

    static final org.eclipse.emf.ecore.EReference FOR_EACH__COLLECTION

  The meta object literal for the 'Collection' reference feature.

### FOR_EACH__ITEM

    static final org.eclipse.emf.ecore.EReference FOR_EACH__ITEM

  The meta object literal for the 'Item' reference feature.

### FOR_EACH__FIRST_LOOP_NODE

    static final org.eclipse.emf.ecore.EReference FOR_EACH__FIRST_LOOP_NODE

  The meta object literal for the 'First Loop Node' reference feature.

### FOR_EACH__AFTER_LOOP_NODE

    static final org.eclipse.emf.ecore.EReference FOR_EACH__AFTER_LOOP_NODE

  The meta object literal for the 'After Loop Node' reference feature.

### DATA_SLOT

    static final org.eclipse.emf.ecore.EClass DATA_SLOT

  The meta object literal for the '`Data Slot`' class.

  See Also:
    `DataSlotImpl`, `SvcorchPackageImpl.getDataSlot()`

### DATA_SLOT__NAME

    static final org.eclipse.emf.ecore.EAttribute DATA_SLOT__NAME

  The meta object literal for the 'Name' attribute feature.

### DATA_SLOT__TYPE

    static final org.eclipse.emf.ecore.EReference DATA_SLOT__TYPE

  The meta object literal for the 'Type' reference feature.

### NODES

    static final org.eclipse.emf.ecore.EClass NODES

  The meta object literal for the '`Nodes`' class.

  See Also:
    `NodesImpl`, `SvcorchPackageImpl.getNodes()`

### NODES__NODES

    static final org.eclipse.emf.ecore.EReference NODES__NODES

  The meta object literal for the 'Nodes' containment reference list feature.

### DATA_SLOTS

    static final org.eclipse.emf.ecore.EClass DATA_SLOTS

  The meta object literal for the '`Data Slots`' class.

  See Also:
    `DataSlotsImpl`, `SvcorchPackageImpl.getDataSlots()`

### DATA_SLOTS__SLOTS

    static final org.eclipse.emf.ecore.EReference DATA_SLOTS__SLOTS

  The meta object literal for the 'Slots' containment reference list feature.

### PARAM_BINDING

    static final org.eclipse.emf.ecore.EClass PARAM_BINDING

  The meta object literal for the '`Param Binding`' class.

  See Also:
    `ParamBindingImpl`, `SvcorchPackageImpl.getParamBinding()`

### PARAM_BINDING__SLOT

    static final org.eclipse.emf.ecore.EReference PARAM_BINDING__SLOT

  The meta object literal for the 'Slot' reference feature.

### PARAM_BINDING__PARAM

    static final org.eclipse.emf.ecore.EReference PARAM_BINDING__PARAM

  The meta object literal for the 'Param' reference feature.

### EXCEPTION_HANDLER

    static final org.eclipse.emf.ecore.EClass EXCEPTION_HANDLER

  The meta object literal for the '`Exception Handler`' class.

  See Also:
    `ExceptionHandlerImpl`, `SvcorchPackageImpl.getExceptionHandler()`

### EXCEPTION_HANDLER__HANDLED_EXCEPTION

    static final org.eclipse.emf.ecore.EReference EXCEPTION_HANDLER__HANDLED_EXCEPTION

  The meta object literal for the 'Handled Exception' reference list feature.

### EXCEPTION_HANDLER__FIRST_RECOVERY_NODE

    static final org.eclipse.emf.ecore.EReference EXCEPTION_HANDLER__FIRST_RECOVERY_NODE

  The meta object literal for the 'First Recovery Node' reference feature.

### INPUT_PARAM_BINDINGS

    static final org.eclipse.emf.ecore.EClass INPUT_PARAM_BINDINGS

  The meta object literal for the '`Input Param Bindings`' class.

  See Also:
    `InputParamBindingsImpl`, `SvcorchPackageImpl.getInputParamBindings()`

### INPUT_PARAM_BINDINGS__INPUT_PARAMS

    static final org.eclipse.emf.ecore.EReference INPUT_PARAM_BINDINGS__INPUT_PARAMS

  The meta object literal for the 'Input Params' containment reference list feature.

### END_LOOP

    static final org.eclipse.emf.ecore.EClass END_LOOP

  The meta object literal for the '`End Loop`' class.

  See Also:
    `EndLoopImpl`, `SvcorchPackageImpl.getEndLoop()`

### END_LOOP__LOOP_HEAD_NODE

    static final org.eclipse.emf.ecore.EReference END_LOOP__LOOP_HEAD_NODE

  The meta object literal for the 'Loop Head Node' reference feature.

### USER_DEFINED_OP_NODE

    static final org.eclipse.emf.ecore.EClass USER_DEFINED_OP_NODE

  The meta object literal for the '`User Defined Op Node`' class.

  See Also:
    `UserDefinedOpNodeImpl`, `SvcorchPackageImpl.getUserDefinedOpNode()`

### EXCEPTION_MAPPINGS

    static final org.eclipse.emf.ecore.EClass EXCEPTION_MAPPINGS

  The meta object literal for the '`Exception Mappings`' class.

  See Also:
    `ExceptionMappingsImpl`, `SvcorchPackageImpl.getExceptionMappings()`

### EXCEPTION_MAPPINGS__MAPPING

    static final org.eclipse.emf.ecore.EReference EXCEPTION_MAPPINGS__MAPPING

  The meta object literal for the 'Mapping' containment reference list feature.

### EXCEPTION_MAPPING

    static final org.eclipse.emf.ecore.EClass EXCEPTION_MAPPING

  The meta object literal for the '`Exception Mapping`' class.

  See Also:
    `ExceptionMappingImpl`, `SvcorchPackageImpl.getExceptionMapping()`

### EXCEPTION_MAPPING__MSG

    static final org.eclipse.emf.ecore.EAttribute EXCEPTION_MAPPING__MSG

  The meta object literal for the 'Msg' attribute feature.

### EXCEPTION_MAPPING__FROM

    static final org.eclipse.emf.ecore.EReference EXCEPTION_MAPPING__FROM

  The meta object literal for the 'From' reference feature.

### EXCEPTION_MAPPING__TO

    static final org.eclipse.emf.ecore.EReference EXCEPTION_MAPPING__TO

  The meta object literal for the 'To' reference feature.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD